%global _hardened_build 1

Summary:	CLI tool to manage Apple II image disk files.
Name:		cadius
Version:	1.4.5
Release:	1%{?dist}
License:	GPLv3
URL:		https://github.com/mach-kernel/cadius
Source0:	https://github.com/mach-kernel/cadius/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	gcc

%description
Cadius is part of the Brutal Deluxe's Cross Developpement Tools Project,
a full set of utilities available on Windows (and other) platforms to
enable the creation of new Apple IIgs software : 65c816 Assembler,
65c816 Desassembler, 65c816 Simulator, Graphic File Converter,
Resource Catcher...

%prep
%autosetup

%build
export CFLAGS="${CFLAGS} -fPIE"
%make_build

%install
install -D -m755  bin/release/cadius %{buildroot}/%{_bindir}/cadius

%files
%doc README.md
%license LICENSE
%{_bindir}/cadius

%changelog
* Thu Jun 24 2021 Greg Wildman <greg@techno.co.za> - 1.4.5-1
- Update version.

* Thu Jul 18 2019 Greg Wildman <greg@techno.co.za> - 1.4.2-2
- CentOS 7 build needed -std=gnu99 GCC option.

* Tue Jun 18 2019 Greg Wildman <greg@techno.co.za> - 1.4.2-1
- Initial spec.

